package se.su.dsv.scipro.file;

import se.su.dsv.scipro.system.User;

import java.io.InputStream;
import java.util.function.Function;

public interface FileUpload {
    String getFileName();
    String getContentType();
    User getUploader();
    long getSize();
    <T> T handleData(Function<InputStream, T> handler);
}
