package se.su.dsv.scipro.oauth;

import com.google.inject.PrivateModule;

public class OAuthModule extends PrivateModule {
    @Override
    protected void configure() {
        bind(OAuthService.class).to(OAuthServiceImpl.class);
        bind(OAuthSettingsRepository.class).to(OAuthSettingsRepositoryImpl.class);

        expose(OAuthService.class);
        expose(OAuthSettingsRepository.class);
    }
}
