package se.su.dsv.scipro.report.calculators.vt17;

import se.su.dsv.scipro.report.GradingCriterion;
import se.su.dsv.scipro.report.GradingReport;
import se.su.dsv.scipro.report.SupervisorGradingReport;

import java.util.ArrayList;
import java.util.List;

public class ReviewerMasterGradeCalculator extends AbstractMasterGradeCalculator {

    private SupervisorGradingReport supervisorGradingReport;

    public ReviewerMasterGradeCalculator(SupervisorGradingReport supervisorGradingReport) {
        this.supervisorGradingReport = supervisorGradingReport;
    }

    @Override
    public Iterable<? extends GradingCriterion> getGradingCriteria(GradingReport gradingReport) {
        List<GradingCriterion> criteria = new ArrayList<>(gradingReport.getGradingCriteria());
        criteria.addAll(supervisorGradingReport.getIndividualCriteria());
        return criteria;
    }
}
