CREATE TABLE IF NOT EXISTS project_first_meeting (
  id           BIGINT(20)   NOT NULL AUTO_INCREMENT,
  activity_id  BIGINT(20)   NOT NULL,
  room         VARCHAR(255) NOT NULL,
  dateCreated  DATETIME     NOT NULL,
  lastModified DATETIME     NOT NULL,
  version      INT(11)      NOT NULL,
  PRIMARY KEY (id),
  FOREIGN KEY FK_project_first_meeting_activity (activity_id) REFERENCES Activity (id)
    ON UPDATE CASCADE
    ON DELETE CASCADE
) ENGINE = InnoDB DEFAULT CHARSET = utf8;
