ALTER TABLE user_languages ADD COLUMN language VARCHAR(255);
UPDATE user_languages SET language = 'SWEDISH' WHERE language_id = (SELECT id FROM Language WHERE name = 'Swedish');
UPDATE user_languages SET language = 'ENGLISH' WHERE language_id = (SELECT id FROM Language WHERE name = 'English');
DELETE FROM user_languages WHERE language IS NULL;
ALTER TABLE user_languages DROP FOREIGN KEY FK_user_languages_language;
ALTER TABLE user_languages DROP PRIMARY KEY;
ALTER TABLE user_languages ADD PRIMARY KEY (user_id, language);
ALTER TABLE user_languages DROP COLUMN language_id;
ALTER TABLE user_languages MODIFY COLUMN language VARCHAR(255) NOT NULL;

ALTER TABLE idea_language ADD COLUMN language VARCHAR(255);
UPDATE idea_language SET language = 'SWEDISH' WHERE language_id = (SELECT id FROM Language WHERE name = 'Swedish');
UPDATE idea_language SET language = 'ENGLISH' WHERE language_id = (SELECT id FROM Language WHERE name = 'English');
UPDATE idea_language SET language = 'SWEDISH' WHERE language IS NULL;
ALTER TABLE idea_language DROP FOREIGN KEY FK_idea_language_language;
alter table idea_language add key FK_idea_language_idea (idea_id);
ALTER TABLE idea_language DROP PRIMARY KEY;
ALTER TABLE idea_language ADD PRIMARY KEY (idea_id, language);
ALTER TABLE idea_language DROP COLUMN language_id;
ALTER TABLE idea_language MODIFY COLUMN language VARCHAR(255) NOT NULL;

ALTER TABLE peer_request ADD COLUMN language VARCHAR(255);
UPDATE peer_request SET language = 'SWEDISH' WHERE language_id = (SELECT id FROM Language WHERE name = 'Swedish');
UPDATE peer_request SET language = 'ENGLISH' WHERE language_id = (SELECT id FROM Language WHERE name = 'English');
UPDATE peer_request SET language = 'SWEDISH' WHERE language IS NULL;
ALTER TABLE peer_request DROP FOREIGN KEY fk_peer_request_language_id_language_id;
ALTER TABLE peer_request DROP COLUMN language_id;
ALTER TABLE peer_request MODIFY COLUMN language VARCHAR(255) NOT NULL;

ALTER TABLE final_seminar ADD COLUMN reportLanguage VARCHAR(255);
UPDATE final_seminar SET reportLanguage = 'SWEDISH' WHERE reportLanguage_id = (SELECT id FROM Language WHERE name = 'Swedish');
UPDATE final_seminar SET reportLanguage = 'ENGLISH' WHERE reportLanguage_id = (SELECT id FROM Language WHERE name = 'English');
UPDATE final_seminar SET reportLanguage = 'SWEDISH' WHERE reportLanguage IS NULL;
ALTER TABLE final_seminar DROP FOREIGN KEY FK_final_seminar_report_language;
ALTER TABLE final_seminar DROP COLUMN reportLanguage_id;
ALTER TABLE final_seminar MODIFY COLUMN reportLanguage VARCHAR(255) NOT NULL;

ALTER TABLE final_seminar ADD COLUMN presentationLanguage VARCHAR(255);
UPDATE final_seminar SET presentationLanguage = 'SWEDISH' WHERE presentationLanguage_id = (SELECT id FROM Language WHERE name = 'Swedish');
UPDATE final_seminar SET presentationLanguage = 'ENGLISH' WHERE presentationLanguage_id = (SELECT id FROM Language WHERE name = 'English');
UPDATE final_seminar SET presentationLanguage = 'SWEDISH' WHERE presentationLanguage IS NULL;
ALTER TABLE final_seminar DROP FOREIGN KEY FK_final_seminar_presentation_language;
ALTER TABLE final_seminar DROP COLUMN presentationLanguage_id;
ALTER TABLE final_seminar MODIFY COLUMN presentationLanguage VARCHAR(255) NOT NULL;

DROP TABLE IF EXISTS Language;
