package se.su.dsv.scipro.grading;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import lombok.Value;

@Value
class ResultContainer {
    @JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.EXTERNAL_PROPERTY, property = "type")
    @JsonSubTypes({
            @JsonSubTypes.Type(value = ReportedGrade.class, name = "result"),
            @JsonSubTypes.Type(value = Proposal.class, name = "proposal")
    })
    @JsonProperty("object")
    private final Result result;
}
