package se.su.dsv.scipro.plagiarism.urkund;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Value;

import java.util.function.Function;

@Value
class ErrorInfo implements UrkundResponse {
    @JsonProperty("Message")
    private String technicalMessage;
    @JsonProperty("LocalisedMessage")
    private String userFriendlyMessage;

    @Override
    public <X> X fold(final Function<ErrorInfo, X> ifError, final Function<SubmissionInfo, X> ifSubmission) {
        return ifError.apply(this);
    }
}
