package se.su.dsv.scipro.plagiarism.urkund;

import lombok.AccessLevel;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Data
@Entity
@Table(name = "urkund_settings")
public class UrkundSettings {
    static final long ID = 1L;

    @Id
    @Getter(AccessLevel.NONE)
    @Setter(AccessLevel.NONE)
    private long id = ID;

    @Basic
    private boolean enabled = false;

    @Basic
    private String username;

    @Basic
    private String password;
}
