CREATE TABLE preliminary_match (
  id BIGINT(20) NOT NULL AUTO_INCREMENT,
  dateCreated DATETIME NOT NULL,
  lastModified DATETIME NOT NULL,
  version INT NOT NULL DEFAULT 0,
  idea_id BIGINT(20) NOT NULL,
  supervisor_id BIGINT(20),
  comment TEXT,
  PRIMARY KEY (id),
  KEY FK_preliminary_match_idea (idea_id),
  KEY FK_preliminary_match_supervisor (supervisor_id),
  CONSTRAINT FK_preliminary_match_idea FOREIGN KEY (idea_id) REFERENCES idea (id),
  CONSTRAINT FK_preliminary_match_supervisor FOREIGN KEY (idea_id) REFERENCES user (id)
) CHARSET = utf8;
