package se.su.dsv.scipro.components;

import org.apache.wicket.model.IModel;
import org.wicketstuff.select2.ChoiceProvider;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.system.UserRepo;

import javax.inject.Inject;

public abstract class EmployeeAutoComplete extends AjaxAutoCompleteChoice<User>{

    @Inject
    private UserRepo supervisorService;

    protected EmployeeAutoComplete(String id) {
        super(id);
    }

    protected EmployeeAutoComplete(String id, IModel<User> model) {
        super(id, model);
    }

    @Override
    protected ChoiceProvider<User> getChoiceProvider() {
        return new AutoCompleteRoleProvider(supervisorService, Roles.SUPERVISOR);
    }
}
